import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;

/**
 * A ball.
 * 
 * @author Ninto
 * @version 0.1
 */
public class ball  extends superClass
{
    /**
     * Create a ball with a direction and a speed.
     */
    public ball(int dir, double speed) {
        super(dir, speed);
    }
    
    /**
     * Create a ball with a random speed and direction.
     */
    public ball() {
        super(Greenfoot.getRandomNumber(10)-5, Greenfoot.getRandomNumber(10)-5);
    }
    
    /**
     * Act - do whatever the ball wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() {
        getWorld().getBackground().setColor(Color.ORANGE);
        getWorld().getBackground().drawLine(getX(), getY(), getX()+(int)Math.round(getHSpeed()), getY()+(int)Math.round(getVSpeed()));
        move();
        if(isOutOfWorld()) return;
    }
}